<div style="margin-top: 20px;">
    <h5>
       <span jhiTranslate="mpmApp.communicationEventProspect.home.title">Communication Event Prospects</span>
    </h5>
    <p-dataTable
        [value]="communicationEventProspects"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        dataKey="idCommunicationEvent"
        expandableRows="false"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.communicationEventProspect.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                    <button type="button" class="input-group-addon flat-style-button" style="margin-left: 50px;"
                        [routerLink]="['../communication-event-prospect-new']">
                        <span class="fa fa-plus"></span>
                    </button>
                </div>
            </form>
        </p-header>
        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <p-column header="{{'mpmApp.communicationEventProspect.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.communicationEventProspect.idprospect'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.idProspect}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.communicationEventProspect.interest'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.interest}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.communicationEventProspect.qty'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.qty | number}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.communicationEventProspect.eventType'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.eventTypeId">
                    <a [routerLink]="['../event-type', rowData.eventTypeId  ]" >{{rowData.eventTypeId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.communicationEventProspect.saleType'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.saleTypeId">
                    <a [routerLink]="['../sale-type', rowData.saleTypeId  ]" >{{rowData.saleTypeDescription}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.communicationEventProspect.color'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.colorId">
                    <a [routerLink]="['../feature', rowData.colorId  ]" >{{rowData.colorDescription}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.communicationEventProspect.product'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.productId">
                    <a [routerLink]="['../motor', rowData.productId  ]" >{{rowData.productName}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.communicationEventProspect.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="submit"
                        [routerLink]="['../communication-event-prospect', rowData.idCommunicationEvent]"
                        icon="fa-eye"
                        class="flat-button"
                        [style]="{'height':'50px'}">
                </button>
                <button pButton type="submit"
                        [routerLink]="['../communication-event-prospect/'+ rowData.idCommunicationEvent + '/edit']"
                        icon="fa-pencil"
                        class="flat-button">
                </button>
                <button pButton type="submit"
                        (click)="delete(rowData.idCommunicationEvent)"
                        icon="fa-remove"
                        class="flat-button">
                </button>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>